Package org.eclipse.net4j.util.concurrent

# Class QueueRunner2<T extends Runnable>

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.net4j.util.concurrent.Worker
org.eclipse.net4j.util.concurrent.QueueWorker<T>
org.eclipse.net4j.util.concurrent.QueueRunner2<T>

All Implemented Interfaces:
  `INotifier`, `INotifier.INotifier2`, `IDeactivateable`, `ILifecycle`, `ILifecycle.DeferrableActivation`

Direct Known Subclasses:
  `PriorityQueueRunner`

public class QueueRunner2<T extends Runnable> extends QueueWorker<T>

Since:
  3.3
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.concurrent.Worker

`Worker.WorkContext`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.concurrent.QueueWorker

`DEFAULT_POLL_MILLIS`

### Fields inherited from class org.eclipse.net4j.util.concurrent.Worker

`DEFAULT_ERROR_HANDLER, DEFAULT_TIMEOUT`

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Constructor Summary

Constructors
Constructor
Description
`QueueRunner2()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`work(Worker.WorkContext context, T runnable)`

### Methods inherited from class org.eclipse.net4j.util.concurrent.QueueWorker

`addWork, clearQueue, createQueue, doDeactivate, doRemainingWorkBeforeDeactivate, getPollMillis, noWork, setPollMillis, work`

### Methods inherited from class org.eclipse.net4j.util.concurrent.Worker

`doActivate, getActivationTimeout, getDeactivationTimeout, getGlobalErrorHandler, getThreadName, getWorkerThread, handleError, isDaemon, setActivationTimeout, setDaemon, setDeactivationTimeout, setGlobalErrorHandler`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Constructor Details

### QueueRunner2

public QueueRunner2()

## Method Details

### work

protected void work(Worker.WorkContext context, T runnable)

Specified by:
  `work` in class `QueueWorker<T extends Runnable>`